Get appointment
GET
{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}This request returns the reservation by the booking code.
Request
-
branch(string, required): Branch key -
bookingCode(string, required): Booking code
Response
-
start(number): The start time of the appointment. -
language(string): Selected language key. -
branch(string): Branch key. -
service(string): Selected service key. -
client.name(string): The name of the client. -
client.email(string): The email of the client. -
client.phone(string): The phone number of the client. -
bookingCode(string): The unique code for the booking. -
verified(boolean): Indicates whether the booking is verified. If itfalse, it should be confirmed. The server sent the confirmation message to the client. -
length(number): The duration of the appointment.
Request
Authorization
| Header | Value |
|---|---|
Authorization | SmartToken {{smartToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
Query parameters
| Key | Value |
|---|---|
bookingCode | 918369 |
branch | {{branch}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}' \
-H 'Accept: application/json' \
-H 'Authorization: SmartToken {{smartToken}}'
const response = await fetch("{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}"
headers = {
"Accept": "application/json",
"Authorization": "SmartToken {{smartToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/appointment/booking?bookingCode=918369&branch={{branch}}Query parameters (2)
| Key | Value |
|---|---|
bookingCode | 918369 |
branch | {{branch}} |
Headers (1)
| Key | Value |
|---|---|
Accept | application/json |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 458 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"start": 1745850600000,
"language": "00000000-0000-4000-0004-000000000001",
"branch": "00000000-0000-4000-0003-000000000001",
"service": {
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Information",
"explanation": null,
"comment": null
},
"00000000-0000-4000-0004-000000000017": {
"name": "Információ"
}
}
},
"client": {
"name": "John Node",
"phone": "+36458754123"
},
"bookingCode": "918369",
"verified": true,
"length": 15,
"time": 1745842813085
}